Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class TaskReportTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.diagnostics.AbstractReportTask
              org.gradle.api.tasks.diagnostics.TaskReportTask

    public class TaskReportTask
    extends AbstractReportTask

Displays a list of tasks in the project. An instance of this type is used when you execute the `tasks` task from the command-line.

Method Summary
`void` | `generate(Project project)`
`ReportRenderer` | `getRenderer()`
`boolean` | `isDetail()`
`void` | `setRenderer(TaskReportRenderer renderer)`
`void` | `setShowDetail(boolean detail)`

Methods inherited from class AbstractReportTask
generate, generate, getOutputFile, getProjects, getRenderer, setOutputFile, setProjects

Method Detail

### generate

    public void generate(Project project)

### getRenderer

    public ReportRenderer getRenderer()

### isDetail

    public boolean isDetail()

### setRenderer

    public void setRenderer(TaskReportRenderer renderer)

### setShowDetail

    @Option(option = "all", description = "Show additional tasks and detail.")
    public void setShowDetail(boolean detail)

Gradle API 1.10